clc
clear all 
close all
Ts = 50e-6;
%% Values of the converter

% Rated power
P_r = 20e6;
V_ac = 0.5*10e3; 
% DC voltage
Vdc = 10e3;

% Ac voltage of the converter

% V_ac = (4/pi)*Vdc/2;

% Cell voltages
Vcell_u = -5e3;
Vcell_l = 5e3;
Vbias = 10e3;
Init_amp = 10e3;

% Frequency
f = 50;
w = 2 * pi *f;

% Inductance
%L = 0.00001;
%L = 0.005;
L =100e-6; 
R = 0.0001;
% Load
R_load = 20;
L_load = 2*R_load/w;
Rdc=0.001;
% Switches

Ron = 0.000001;

% Cells information

N = 9 ; % Number of cels per arm in the converter

C_cell = 4e-3 ; % Capacitance in one submodule

% Making p.u. system:

S_base = 20e6;

V_base = 20e3;

%% Control part

tau = L/R;
K = 1/R;
ki = 2*pi*2*R;
kp = ki*tau;
%% Modus optimum
w_c = 2*pi*2;
T_a = 1/(2*f);
Kp = w_c * tau * R * sqrt(1 + (T_a)^2 * (w_c)^2);

Ki = Kp/tau;

%% Overlap
Rs = 1e-3;
toverlap = 1*1e-3;
voverlap = V_ac*sin(w*toverlap*0.5);
Neg_const = -voverlap;
Pos_const = voverlap;

